Package com.collibra.dgc.core.api.dto.instance.issue

# Class AddIssueRequest.Builder

Object
Builder

Enclosing class:
  `AddIssueRequest`

public static class AddIssueRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddIssueRequest`
  `build()`
  `AddIssueRequest.Builder`
  `categoryIds(List<UUID> categoryIds)`
  The list of IDs of assets which represent categories for this issue.
  `AddIssueRequest.Builder`
  `description(String description)`
  Required. The description for the issue.
  `AddIssueRequest.Builder`
  `name(String name)`
  Required. The name of the subject for which the issue is being created.
  `AddIssueRequest.Builder`
  `priority(String priority)`
  The priority for the issue.
  `AddIssueRequest.Builder`
  `relatedAssets(List<RelatedAssetReference> relatedAssets)`
  The list of assets which the issue is related to.
  `AddIssueRequest.Builder`
  `requesterId(UUID requesterId)`
  The requester of the issue.
  `AddIssueRequest.Builder`
  `responsibleCommunityId(UUID responsibleCommunityId)`
  The ID of the community responsible for handling the issue.
  `String`
  `toString()`
  `AddIssueRequest.Builder`
  `typeId(UUID typeId)`
  Required. The type ID of the issue to be created.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### responsibleCommunityId

    public AddIssueRequest.Builder responsibleCommunityId(UUID responsibleCommunityId)
    The ID of the community responsible for handling the issue.
    Returns:
      `this`.

  - ### name

    public AddIssueRequest.Builder name(String name)
    Required. The name of the subject for which the issue is being created.
    Returns:
      `this`.

  - ### typeId

    public AddIssueRequest.Builder typeId(UUID typeId)
    Required. The type ID of the issue to be created.
    Returns:
      `this`.

  - ### description

    public AddIssueRequest.Builder description(String description)
    Required. The description for the issue.
    Returns:
      `this`.

  - ### priority

    public AddIssueRequest.Builder priority(String priority)
    The priority for the issue.
    Returns:
      `this`.

  - ### requesterId

    public AddIssueRequest.Builder requesterId(UUID requesterId)
    The requester of the issue.
    Returns:
      `this`.

  - ### relatedAssets

    public AddIssueRequest.Builder relatedAssets(List<RelatedAssetReference> relatedAssets)
    The list of assets which the issue is related to.
    Returns:
      `this`.

  - ### categoryIds

    public AddIssueRequest.Builder categoryIds(List<UUID> categoryIds)
    The list of IDs of assets which represent categories for this issue. Each asset in this list should be of type Issue Category.
    Returns:
      `this`.

  - ### build

    public AddIssueRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`